clear all
set more off

global maindir ="xxxx"

do "$maindir/do/0_Initialize.do"


// Create folder for output 

global outfolder="figurescsv${sep}Recession"
capture noisily mkdir "$maindir${sep}out${sep}$outfolder"
capture log close
cd "$maindir${sep}out${sep}$outfolder"


use  male yob  researn* permearn*  using ///
		"$maindir${sep}dta${sep}master_sample.dta" , clear   
drop permearnalt* researnc* researn1F* researn5F*

*use 1987 permmenant income(calculated using 1985, 1986 and 1987)
*so minimum age should be 27 in 1987
	*gen age = 1987 -yob+1
	*qui: drop if age<27 | age>55
	
save "$maindir${sep}dta${sep}recession_sample",replace 

set more off
*foreach mm in 0  1 {
forvalues yr=1988/1998 {
*local yr=1988
use yob permearn1987 researn`yr' using "$maindir${sep}dta${sep}recession_sample",clear
gen age1=1987 -yob+1
gen age2=`yr'-yob+1
keep if age1>=27 & age1<=55 &age2>=25 & age2<=55
drop if permearn1987 ==.
*gen d_researn_`yr'=researn`yr'-researn1988
drop if researn`yr'==.
xtile quart =permearn1987 , nq(4)

forvalues q = 1/4{
_pctile researn`yr' if quart==`q',p(5, 10, 25, 50, 75, 90, 95)

gen p5_`yr'_q`q'=r(r1)
gen p10_`yr'_q`q'=r(r2)
gen p25_`yr'_q`q'=r(r3)
gen p50_`yr'_q`q'=r(r4)
gen p75_`yr'_q`q'=r(r5)
gen p90_`yr'_q`q'=r(r6)
gen p95_`yr'_q`q'=r(r7)

}
keep p5_`yr'_q1-  p95_`yr'_q4
keep in 1
gen id=1
reshape long p5_`yr'_q p10_`yr'_q p25_`yr'_q p50_`yr'_q p75_`yr'_q p90_`yr'_q  p95_`yr'_q, i(id)
drop id 
rename _j quartile

rename p5_`yr'_q p5_`yr'
rename p10_`yr'_q p10_`yr'
rename p25_`yr'_q p25_`yr'
rename p50_`yr'_q p50_`yr'
rename p75_`yr'_q p75_`yr'
rename p90_`yr'_q p90_`yr'
rename p95_`yr'_q p95_`yr'

reshape long p5_  p10_ p25_ p50_ p75_ p90_ p95_, i( quartile) j(year)
rename p5_ p5
rename p10_ p10
rename p25_ p25
rename p50_ p50
rename p75_ p75
rename p90_ p90
rename p95_ p95

if `yr'==1988 {
save recession_moments_all,replace
}
else {
append using recession_moments_all
save recession_moments_all,replace
}
}
*}

sort quartile year
foreach vv in p5 p10 p25 p50 p75 p90 p95 {
gen flag=`vv' if year==1988
by quartile: egen temp=mean(flag)
gen n`vv'=`vv'-temp
drop  flag temp

}

sort quartile year
save recession_moments_all_1990,replace 

outsheet using "maindir${sep}out${sep}$outfolder\recession_moments_all_1990.csv", replace comma


