set more off, perm

// specify current and raw data directories
global root ~/GRID/worker_firm
global raw ~/GRID/raw

// derived paths
global source $root/source
global log $root/log
global cleaned $root/cleaned
global output $root/output

// change location and make necessary subfolders
cd $source
capture mkdir $log
capture mkdir $cleaned
capture mkdir $output

// year range
global min_year 2001
global max_year 2016

// age range
global min_age 25
global max_age 55

// data merging & cleaning
do select
do workers
do firms
do workers_firms

// stats for Table 2
do stats

// core results (Table 3, all figures in the main text, and Figures S32, S33, S36, and S38 in the supplement)
do core

// facts 3 & 4 including exiting firms (Figures S37 and S39)
do exits

// composition-adjusted earnings growth dispersion (Figure S34)
do composition

// multivariate linear regression (Figure S35)
do multivariate

// 2-year earnings growth by mobility (Figures S40 and S41)
do twoyear

// fraction of dropout workers (Figure S42)
do dropout
