// plotting setup
//_______________________________________________
graph set window fontface "Times New Roman"

local base0 graphregion(color(white)) legend(region(lcolor(white))) ytitle("") ylabel(, labsize(medlarge) grid) xlabel(, labsize(medlarge) grid)

local base1 mcol(blue) mfcol(blue*0.25) mlcol(blue) lcol(blue) msymbol(D) lwidth(*2) `base0'
local base2 mcol(blue red) mfcol(blue*0.25 red*0.25) mlcol(blue red) lcol(blue red) msymbol(D S) lwidth(*2 *2) `base0'
local base3 mcol(blue red green) mfcol(blue*0.25 red*0.25 green*0.25) mlcol(blue red green) lcol(blue red green) msymbol(D S T) lwidth(*2 *2 *2) `base0'
local base4 mcol(blue red green maroon) mfcol(blue*0.25 red*0.25 green*0.25 maroon*0.25) mlcol(blue red green maroon) lcol(blue red green maroon) msymbol(D S T O) lwidth(*2 *2 *2 *2) `base0'
local base5 mcol(blue red green maroon navy) mfcol(blue*0.25 red*0.25 green*0.25 maroon*0.25 navy*0.25) mlcol(blue red green maroon navy) lcol(blue red green maroon navy) msymbol(D S T O X) lwidth(*2 *2 *2 *2 *2) `base0'

local sbase1 mcol(blue) mfcol(blue*0.25) mlcol(blue) lcol(blue) msymbol(D) lwidth(*2)
local sbase2 mcol(red) mfcol(red*0.25) mlcol(red) lcol(red) msymbol(S) lwidth(*2)
local sbase3 mcol(green) mfcol(green*0.25) mlcol(green) lcol(green) msymbol(T) lwidth(*2)
local sbase4 mcol(maroon) mfcol(maroon*0.25) mlcol(maroon) lcol(maroon) msymbol(O) lwidth(*2)
local sbase5 mcol(navy) lcol(navy) msymbol(X) lwidth(*2)

// xlabel (medlarge, large, vlarge, huge, vhuge etc)
local empxlabel xlabel(1 "[5,10)" 2 "[10,20)" 3 "[20,100)" 4 "[100,1000)" 5 "≥1000", labsize(medlarge) grid)
local lpxlabel xlabel(, labsize(medlarge) grid)

// xtitle
local empxtitle xtitle("Employment", size(medlarge))
local lpxtitle xtitle("Log Labor Productivity Residual Quintile", size(medlarge))

local dempxtitle  xtitle("Average Employment Growth by Decile", size(medlarge))
local dlpxtitle xtitle("Average Labor Productivity Residual Growth by Decile", size(medlarge))

local permempxtitle xtitle("Permanent Employment", size(medlarge))
local permlpxtitle xtitle("Log Permanent Labor Productivity Residual Quintile", size(medlarge))


// ytitle
local meanyleveltitle ytitle("Average of {&epsilon}{sub:it}", size(medlarge))
local meanytitle ytitle("Average of {&Delta}{sup:1}{&epsilon}{sub:it}", size(medlarge))
local p9010ytitle ytitle("P90-P10 of {&Delta}{sup:1}{&epsilon}{sub:it}", size(medlarge))
local p9050ytitle ytitle("P90-P50 of {&Delta}{sup:1}{&epsilon}{sub:it}", size(medlarge))
local p5010ytitle ytitle("P50-P10 of {&Delta}{sup:1}{&epsilon}{sub:it}", size(medlarge))

local dispersionytitle ytitle("Dispersion of {&Delta}{sup:1}{&epsilon}{sub:it}", size(medlarge))

local fracytitle ytitle("Fraction of Dropout Workers", size(medlarge))

local meanemptitle ytitle("Average Employment Growth", size(medlarge))

// legend
local sexlegend legend(order(1 "All" 2 "Male" 3 "Female") row(1) region(lcolor(white)) size(medlarge))

local dispersionlegend legend(order(1 "P90-P50" 2 "P50-P10") row(1) region(lcolor(white)) size(medlarge))

local yearlegend legend(order(1 "Years 2001–2007" 2 "Years 2008–2011" 3 "Years 2012–2016") region(lcolor(white)) size(medlarge))
local agelegend legend(order(1 "Worker Ages 25–34" 2 "Worker Ages 35–44" 3 "Worker Ages 45–55") row(1) region(lcolor(white)) size(medlarge))
local entagelegend legend(order(1 "Firm Ages <10" 2 "Firm Ages 10–19" 3 "Firm Ages ≥20") region(lcolor(white)) size(medlarge))

local mover1legend legend(order(1 "Stayer" 2 "Non-laid-off Mover" 3 "Laid-off Mover") row(1) region(lcolor(white)) size(medlarge))

local emplegend legend(order(1 "[5,10)" 2 "[10,20)" 3 "[20,100)" 4 "[100,1000)" 5 "≥1000") row(2) region(lcolor(white)) size(medlarge))
local lplegend legend(order(1 "Q1" 2 "Q2" 3 "Q3" 4 "Q4" 5 "Q5") row(1) region(lcolor(white)) size(medlarge))
local permearnlegend legend(order(1 "Q1" 2 "Q2" 3 "Q3" 4 "Q4" 5 "Q5") row(1) region(lcolor(white)) size(medlarge))
local top_permearnlegend legend(order(1 "[P80,P90)" 2 "[P90,P99)" 3 "≥P99") row(1) region(lcolor(white)) size(medlarge))

local demplegend legend(order(1 "Low Employment Growth" 2 "Middle Employment Growth" 3 "High Employment Growth") region(lcolor(white)) size(medlarge))
local dlplegend legend(order(1 "Low Productivity Growth" 2 "Middle Productivity Growth" 3 "High Productivity Growth") region(lcolor(white)) size(medlarge))

// start
//____________________________________________________________________________
capture log close

log using $log/twoyear.log, replace

local v emp
local g all
local h 2

use if d`h'logearn_res!=. using $cleaned/workers_firms, clear

sort pid year
xtset pid year


gen L1`v'_group=L1.`v'_group
gen L1d`h'log`v'_group=L1.d`h'log`v'_group
gen L1d`h'log`v'=L1.d`h'log`v'

drop if L1`v'_group==. | mover`h'==.

replace `v'_group=L1`v'_group
replace d`h'log`v'_group=L1d`h'log`v'_group
replace d`h'log`v'=L1d`h'log`v'

// fact 1: avg earings growth and firm size (Figure S40(a))
//_______________________________________________________________________
local s mean

// now keep only those with non-missing earnings growth
local y d`h'logearn_res
drop if `y'==.

preserve
local filename `s'_`y'_by_`v'_level_full_year_move_`g'
drop if mover`h'==.
collapse (`s') `y', by(`v'_group mover`h')
reshape wide `y', i(`v'_group) j(mover`h')
sort `v'_group

twoway (connected `y'0 `y'1 `y'2 `v'_group, `base3' ``v'xlabel' ``v'xtitle' `meanytitle' `mover1legend')
graph export $output/`filename'.pdf, replace	
save $output/`filename', replace

restore

// fact 2: dispersion of earnings growth and firm size (Figure S40(b))
//_______________________________________________________________________
preserve
drop if mover`h'==.
collapse (p10) p10=`y' (p50) p50=`y' (p90) p90=`y', by(`v'_group mover`h')
gen p9010=p90-p10
gen p9050=p90-p50
gen p5010=p50-p10
drop p10 p50 p90

reshape wide p9010 p9050 p5010, i(`v'_group) j(mover`h')
sort `v'_group
local filename p9010_`y'_by_`v'_level_full_year_move_`g'
twoway (connected p90100 p90101 p90102 `v'_group, `base3' ``v'xlabel' ``v'xtitle' `mover1legend'  `p9010ytitle')
graph export $output/`filename'.pdf, replace
save $output/`filename', replace
restore

// fact 3: avg earnings growth and firm growth (Figure S41(a))
//_______________________________________________________________________
drop if d`h'log`v'_group==. | d`h'log`v'==.
local s mean
local x d`h'log`v'

preserve
drop if mover`h'==.

collapse (`s') `y' `x', by(d`h'log`v'_group mover`h')
reshape wide `y' `x', i(d`h'log`v'_group) j(mover`h')
sort d`h'log`v'_group

local filename `s'_`y'_by_`v'_growth`h'_full_year_move_`g'

twoway ///
(connected `y'0 `x'0, `sbase1') ///
(connected `y'1 `x'1, `sbase2') ///				
(connected `y'2 `x'2, `sbase3') ///
				, `base0' `d`v'xtitle' `mover1legend' `meanytitle'
graph export $output/`filename'.pdf, replace
save $output/`filename', replace
restore

// fact 4: dispersion of earnings growth and firm growth (Figure S41(b))
//_______________________________________________________________________
local v emp
local x d`h'log`v'

// by mobility status
//___________________
preserve

drop if mover`h'==.

collapse (p10) p10=`y' (p50) p50=`y' (p90) p90=`y' (mean) `x', by(d`h'log`v'_group mover`h')
gen p9010=p90-p10
gen p9050=p90-p50
gen p5010=p50-p10
drop p10 p90

reshape wide p9010 p9050 p5010 p50 `x', i(d`h'log`v'_group) j(mover`h')
sort d`h'log`v'_group

local filename p9010_`y'_by_`v'_growth`h'_full_year_move_`g'    

twoway ///
(connected p90100 `x'0, `sbase1') ///
(connected p90101 `x'1, `sbase2' yaxis(2)) ///				
(connected p90102 `x'2, `sbase3' yaxis(2)) ///
				, `base0' `d`v'xtitle' `p9010ytitle' legend(order(1 "Stayer (Left Axis)" 2 "Non-laid-off Mover (Right Axis)" 3 "Laid-off Mover (Right Axis)") region(lcolor(white))) ylabel(0.5[0.1]0.9, axis(1))

graph export $output/`filename'.pdf, replace
save $output/`filename', replace
restore


capture log close


